67148: Acronis Cyber Protect: Installation in Linux finishes with "Failed to build the SnapAPI kernel module"

Last update: 30-04-2021

Symptoms

You install Acronis Agent on a Linux machine. Installation completes with this error:

Failed to build the SnapAPI kernel module. Operations with disk-level backups will not be available.

Solution

1. Check the running Linux kernel version of your distribution.

There are several ways to do this, for example, you can use the uname command:

uname –r

Example output:
Linux 3.10.0-514.e17.x86_64

Alternatively, you can check the kernel version in system report, in summary.txt or in uname.txt.

2. Check whether this kernel version is supported by Acronis Agent: Supported operating systems and environments (Agent for Linux section).

If you have a kernel version that is not supported, update kernel:

If you have the kernel version that is supported, check /var/log/trueimage-setup.log for errors. You might need to build SnapAPI module manually.

Contact Acronis support with system information report if you need further assistance.